%define name	qtradio
%define version	0.8.1
%define release	%mkrel 1

Summary:	QtRadio - listen to the radio with QtRadio
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://linux.perlak.com/project.php?prj_name=qtradio
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.8.0-path.patch.bz2
Patch1:		%{name}-0.8.1-compile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	qt3-devel

%description
QtRadio - listen to the radio with QtRadio.
It should work with every FM tuner card that is supported
by video4linux. 
It has support for remote controls via lirc-support
and recording to file.


%prep
%setup -q -n QtRadio-%{version}
%patch0 -p1 -b .path
%patch1 -p1 -b .compile

%build
export QTDIR=%{_prefix}/lib/qt3 ; export QTLIB=$QTDIR/%{_lib}
%configure

%make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

# Not installed with make install
mkdir -p %{buildroot}/%{_datadir}/QtRadio
cp -f -R QtRadio %{buildroot}/%{_datadir}


#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=%summary
Exec=%{name}
Icon=multimedia_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound
EOF


install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir


%{find_lang} %name


%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%dir %{_datadir}/QtRadio
%{_datadir}/QtRadio/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Jun 19 2007 Texstar <texstar@gmail.com> 0.8.1-pclos2007
- import into pclos 2007
